package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemClazzAssignmentDetailStudentProgressBindingImpl extends ItemClazzAssignmentDetailStudentProgressBinding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener, com.toughra.ustadmobile.generated.callback.OnSelectionStateChangedListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.item_clazzassignment_newitemicon, 1);
        sViewsWithIds.put(R.id.line1_text, 2);
        sViewsWithIds.put(R.id.line2_text, 3);
    }
    // views
    @NonNull
    private final androidx.constraintlayout.widget.ConstraintLayout mboundView0;
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback148;
    @Nullable
    private final com.ustadmobile.port.android.view.binding.OnSelectionStateChangedListener mCallback147;
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemClazzAssignmentDetailStudentProgressBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 4, sIncludes, sViewsWithIds));
    }
    private ItemClazzAssignmentDetailStudentProgressBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (androidx.appcompat.widget.AppCompatImageView) bindings[1]
            , (android.widget.TextView) bindings[2]
            , (android.widget.TextView) bindings[3]
            );
        this.mboundView0 = (androidx.constraintlayout.widget.ConstraintLayout) bindings[0];
        this.mboundView0.setTag(null);
        setRootTag(root);
        // listeners
        mCallback148 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 2);
        mCallback147 = new com.toughra.ustadmobile.generated.callback.OnSelectionStateChangedListener(this, 1);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x8L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.itemListener == variableId) {
            setItemListener((com.ustadmobile.core.controller.ClazzAssignmentDetailStudentProgressItemListener) variable);
        }
        else if (BR.selectablePagedListAdapter == variableId) {
            setSelectablePagedListAdapter((com.ustadmobile.port.android.view.ClazzAssignmentDetailStudentProgressRecyclerAdapter) variable);
        }
        else if (BR.entry == variableId) {
            setEntry((com.ustadmobile.lib.db.entities.ContentEntryWithAttemptsSummary) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setItemListener(@Nullable com.ustadmobile.core.controller.ClazzAssignmentDetailStudentProgressItemListener ItemListener) {
        this.mItemListener = ItemListener;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.itemListener);
        super.requestRebind();
    }
    public void setSelectablePagedListAdapter(@Nullable com.ustadmobile.port.android.view.ClazzAssignmentDetailStudentProgressRecyclerAdapter SelectablePagedListAdapter) {
        this.mSelectablePagedListAdapter = SelectablePagedListAdapter;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.selectablePagedListAdapter);
        super.requestRebind();
    }
    public void setEntry(@Nullable com.ustadmobile.lib.db.entities.ContentEntryWithAttemptsSummary Entry) {
        this.mEntry = Entry;
        synchronized(this) {
            mDirtyFlags |= 0x4L;
        }
        notifyPropertyChanged(BR.entry);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        com.ustadmobile.core.controller.ClazzAssignmentDetailStudentProgressItemListener itemListener = mItemListener;
        com.ustadmobile.port.android.view.ClazzAssignmentDetailStudentProgressRecyclerAdapter selectablePagedListAdapter = mSelectablePagedListAdapter;
        com.ustadmobile.lib.db.entities.ContentEntryWithAttemptsSummary entry = mEntry;

        if ((dirtyFlags & 0xaL) != 0) {
        }
        // batch finished
        if ((dirtyFlags & 0xaL) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.ViewBindingsKt.setSelectableViewHelper(this.mboundView0, selectablePagedListAdapter, mCallback148, mCallback147);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        // localize variables for thread safety
        // itemListener
        com.ustadmobile.core.controller.ClazzAssignmentDetailStudentProgressItemListener itemListener = mItemListener;
        // itemListener != null
        boolean itemListenerJavaLangObjectNull = false;
        // entry
        com.ustadmobile.lib.db.entities.ContentEntryWithAttemptsSummary entry = mEntry;



        itemListenerJavaLangObjectNull = (itemListener) != (null);
        if (itemListenerJavaLangObjectNull) {



            itemListener.onClickClazzAssignment(entry);
        }
    }
    public final void _internalCallbackOnSelectionStateChanged(int sourceId , android.view.View callbackArg_0) {
        // localize variables for thread safety
        // selectablePagedListAdapter != null
        boolean selectablePagedListAdapterJavaLangObjectNull = false;
        // selectablePagedListAdapter
        com.ustadmobile.port.android.view.ClazzAssignmentDetailStudentProgressRecyclerAdapter selectablePagedListAdapter = mSelectablePagedListAdapter;
        // entry
        com.ustadmobile.lib.db.entities.ContentEntryWithAttemptsSummary entry = mEntry;



        selectablePagedListAdapterJavaLangObjectNull = (selectablePagedListAdapter) != (null);
        if (selectablePagedListAdapterJavaLangObjectNull) {




            selectablePagedListAdapter.onItemSelectedChanged(callbackArg_0, entry);
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): itemListener
        flag 1 (0x2L): selectablePagedListAdapter
        flag 2 (0x3L): entry
        flag 3 (0x4L): null
    flag mapping end*/
    //end
}